import React from "react";
import Accordion from "./Accordion";
import AccordionItemWithContext from "./AccordionItemWithContext.skeleton";
import combineReducers from "./combineReducers";
import single from "./single";
export default function SingleOpenAccordion(_ref) {
  let {
    items
  } = _ref;
  return /*#__PURE__*/React.createElement(Accordion, {
    position: "bottom",
    customReducer: combineReducers(single),
    opened: [true]
  }, items.map((item, index) => {
    return /*#__PURE__*/React.createElement(AccordionItemWithContext, {
      index: index,
      heading: item.heading,
      key: "index" + index
    }, item.children);
  }));
}